#include <NTPtimeESP.h>
#define DEBUG_ON

NTPtime NTPch("pool.ntp.org");            // NTP сервер
char *ssid      = "XXXXXXX";                // WIFI сеть
char *password  = "XXXXXXXX";             // Пароль
strDateTime dateTime;

void setup() {
  Serial.begin(115200);
  Serial.println("Соединение с Wi-Fi");

  WiFi.mode(WIFI_STA);
  WiFi.begin (ssid, password);
  while (WiFi.status() != WL_CONNECTED) { // Ожидание соединения
    Serial.print(".");
    delay(500);
  }
  Serial.println("WiFi, соединились");
}

void loop() {

  // первый параметр: Часовой пояс 
  //второй параметр: 1 для европейского летнего времени
  dateTime = NTPch.getNTPtime(3, 1);

  if(dateTime.valid){
    //NTPch.printDateTime(dateTime);
    byte actualHour = dateTime.hour;
    byte actualMinute = dateTime.minute;
    byte actualsecond = dateTime.second;
    int actualyear = dateTime.year;
    byte actualMonth = dateTime.month;
    byte actualday =dateTime.day;
    byte actualdayofWeek = dateTime.dayofWeek-1;
    Serial.print(actualday);
    Serial.print("/");
    Serial.print(actualMonth);
    Serial.print("/");
    Serial.print(actualyear);
    Serial.print(" ");
    Serial.print(actualHour);
    Serial.print(":");
    Serial.print(actualMinute);
    Serial.print(":");
    Serial.print(actualsecond);
    Serial.print(" - ");
    Serial.print(actualdayofWeek);
    Serial.println();
  }
}
